<?php
/* Debug WordPress Theme
   *******************************************************************
   1. Datei in das Theme kopieren
   2. Funktion in den body-Bereich der header.php des Themes einbinden
      </head>
      <body>
        <?php include (TEMPLATEPATH . '/wp_view_type.php'); ?>
   
   * Mehr Information im zugehoerigen Beitrag
     http://bueltge.de/wordpress-theme-debuggen/536/
     
   
   Frank Bueltge 2007, bueltge.de
   Version 0.2
   09.04.2008 22:23:55
*/

global $view_is_not, $view_hooks;

$view_is_not = 'TRUE'; // FALSE oder 0 um die NICHT-Werte auszublenden, TRUE oder 1 fuer Ausgabe der NICHT-Werte
$view_hooks  = 'TRUE'; // FALSE oder 0 um die Hooks auszublenden, TRUE oder 1 fuer Ausgabe der Hooks

function view_conditional_tags() {
	global $view_is_not;
	
	$is = '';
	$is_not = '';

	if ( is_admin() ) $is .= "\t" . '<li><b>IST</b> admin</li>' . "\n";
	else $is_not .= '<li><i>kein</i> admin</li>' . "\n";

	if ( is_archive() ) $is .= "\t" . '<li><b>IST</b> archive</li>' . "\n";
	else $is_not .= '<li><i>kein</i> archive</li>' . "\n";

	if ( is_attachment() ) $is .= "\t" . '<li><b>IST</b> attachment</li>' . "\n";
	else $is_not .= '<li><i>kein</i> attachment</li>' . "\n";

	if ( is_author() ) $is .= "\t" . '<li><b>IST</b> author</li>' . "\n";
	else $is_not .= '<li><i>kein</i> author</li>' . "\n";

	if ( is_category() ) $is .= "\t" . '<li><b>IST</b> category</li>' . "\n";
	else $is_not .= '<li><i>kein</i> category</li>' . "\n";

	if ( is_tag() ) $is .= "\t" . '<li><b>IST</b> tag</li>' . "\n";
	else $is_not .= '<li><i>kein</i> tag</li>' . "\n";

	if ( is_comments_popup() ) $is .= "\t" . '<li><b>IST</b> comments_popup</li>' . "\n";
	else $is_not .= '<li><i>kein</i> comments_popup</li>' . "\n";

	if ( is_date() ) $is .= "\t" . '<li><b>IST</b> date</li>' . "\n";
	else $is_not .= '<li><i>kein</i> date</li>' . "\n";
	
	if ( is_day() ) $is .= "\t" . '<li><b>IST</b> day</li>' . "\n";
	else $is_not .= '<li><i>kein</i> day</li>' . "\n";

	if ( is_feed() ) $is .= "\t" . '<li><b>IST</b> feed</li>' . "\n";
	else $is_not .= '<li><i>kein</i> feed</li>' . "\n";
	
	if ( is_front_page() ) $is .= "\t" . '<li><b>IST</b> front</li>' . "\n";
	else $is_not .= '<li><i>kein</i> front_page</li>' . "\n";
	
	if ( is_home() ) $is .= "\t" . '<li><b>IST</b> home</li>' . "\n";
	else $is_not .= '<li><i>kein</i> home</li>' . "\n";
	
	if ( is_month() ) $is .= "\t" . '<li><b>IST</b> month</li>' . "\n";
	else $is_not .= '<li><i>kein</i> month</li>' . "\n";

	if ( is_page() ) $is .= "\t" . '<li><b>IST</b> page</li>' . "\n";
	else $is_not .= '<li><i>kein</i> page</li>' . "\n";

	if ( is_paged() ) $is .= "\t" . '<li><b>IST</b> paged</li>' . "\n";
	else $is_not .= '<li><i>kein</i> pageed</li>' . "\n";
	
	if ( is_plugin_page() ) $is .= "\t" . '<li><b>IST</b> plugin_page</li>' . "\n";
	else $is_not .= '<li><i>kein</i> plugin_page</li>' . "\n";
	
	if ( is_preview() ) $is .= "\t" . '<li><b>IST</b> preview</li>' . "\n";
	else $is_not .= '<li><i>kein</i> preview</li>' . "\n";

	if ( is_robots() ) $is .= "\t" . '<li><b>IST</b> robots</li>' . "\n";
	else $is_not .= '<li><i>kein</i> robots</li>' . "\n";

	if ( is_search() ) $is .= "\t" . '<li><b>IST</b> search</li>' . "\n";
	else $is_not .= '<li><i>kein</i> search</li>' . "\n";

	if ( is_single() ) $is .= "\t" . '<li><b>IST</b> single</li>' . "\n";
	else $is_not .= '<li><i>kein</i> single</li>' . "\n";

	if ( is_singular() ) $is .= "\t" . '<li><b>IST</b> singular</li>' . "\n";
	else $is_not .= '<li><i>kein</i> singular</li>' . "\n";

	if ( is_time() ) $is .= "\t" . '<li><b>IST</b> time</li>' . "\n";
	else $is_not .= '<li><i>kein</i> time</li>' . "\n";

	if ( is_trackback() ) $is .= "\t" . '<li><b>IST</b> trackback</li>' . "\n";
	else $is_not .= '<li><i>kein</i> trackback</li>' . "\n";

	if ( is_year() ) $is .= "\t" . '<li><b>IST</b> year</li>' . "\n";
	else $is_not .= '<li><i>kein</i> year</li>' . "\n";

	if ( is_404() ) $is .= "\t" . '<li><b>IST</b> 404</li>' . "\n";
	else $is_not .= '<li><i>kein</i> 404</li>' . "\n";

	if ($view_is_not == ('TRUE' || 1)) {
		$is .= $is_not;
	}
	
	return $is;
}


function view_hooks() {
	global $wp_filter;
	
	$filter = '';
	ksort ($wp_filter);
	foreach ($wp_filter as $hook => $subhook) {
		$filter .= "\t" . '<li> Hook: <b>' . $hook . '</b></li>' . "\n";
		$filter .= "\t\t" . '<ul style="margin: 0 10px 5px -20px;">' . "\n";
		ksort ($subhook);
		foreach ($subhook as $prio => $subprio) {
			$filter .= "\t" . '<li><i>Priorit&auml;t:</i> ' . $prio . '</li>' . "\n";
			foreach ($subprio as $sub) {
				$filter .= "\t" . '<li> Funktion: ' . $sub['function'] . '</li>' . "\n";
			}
		}
		$filter .= "\t\t" . '</ul>' . "\n";
	}
	return $filter;
}


function wp_view_type() {
	global $view_hooks;

	$format = '<div style="position: fixed; max-height: 90%; top: 5px; right: 5px; background-color: #FFF; border: 1px solid #333; color: #333; font-size: 1em; text-align: left; opacity: 0.8; filter:alpha(opacity=80); overflow: auto;">' . "\n";
	$format .= '<h4 style="margin: 0 0 0 5px;">Conditional Tags</h4>';
	$format .= '<ul style="margin: 5px 10px 5px -10px;">' . "\n";
	$format .= view_conditional_tags();
	$format .= '</ul>' . "\n" . "\n";
	
	if ($view_hooks == ('TRUE' || 1)) {
		$format .= '<h4 style="margin: 0 0 0 5px;">Hooks &amp; Filter</h4>';
		$format .= '<ul style="margin: 5px 10px 5px -10px;">' . "\n";
		$format .= view_hooks();
		$format .= '</ul>' . "\n";
	}

	$format .= '</div>' . "\n" . "\n";	
	
	echo $format;
}

wp_view_type();
?>